You are not logged in.

#1 2012-12-09 19:34:31

whoops
Member
Registered: 2009-03-19
Posts: 842

[solved] mplayer2 20121128-1 + smplayer = Error / -fontconfig"

Hi!

Since the most recent mplayer2 update, I'm getting:

"Error parsing option on the command line: -fontconfig"

...in smplayer, when I try to play anything. It does not seem to work at all.


I tried to...
Do a lot of useless stuff including trying to enable ass because I did not notice google "improved" my search results by changing "fontconfig" to "ass" at first.
Aaaaand...
... now...
... never mind, solved -.-"

Looks as if support for this argument has been dropped for mplayer2, smplayer stable release just has not been updated yet. Works fine with smplayer-svn from AUR for now. Guess the next release of smplayer will too. Soo... this theoretically in retrospect is a new smplayer package bug now I guess (should depend on mplayer version small than whatever it is now).... but... yes, practically I guess it makes no sense to report that at this point, as it's about to fix itsself... soo....
Aaaargh.

Anyway, in case anyone else has the problem: just use smplayer-svn or wait for next "official" smplayer update.


edit: also now I posted redundant thread in the wrong subforum and I blame firefox big_smile /sry T_T

Last edited by whoops (2012-12-09 19:43:27)

Offline

#2 2012-12-09 21:04:08

freestyler7
Member
Registered: 2010-11-02
Posts: 33

Re: [solved] mplayer2 20121128-1 + smplayer = Error / -fontconfig"

Same error here. I didn't make a bug report because it affects an out-of-date package. (maintainer has announced his absence in the mailing list)
Instead i tried abs and i loved it. So easy.

I just changed pkgver to latest version 0.8.2.1 and also updated the md5.
I keep a custom repo for aur/abs packages so i did a pacman -S custom/smplayer.

Of course packaging is not so easy, you have to check for new dependencies or configure options that maybe changed in the newest release etc.
But hopefully it worked out smooth this time. tongue

If someone wants the abs way as well but is bored to change the PKGBUILD:

# $Id: PKGBUILD 167263 2012-09-29 13:32:07Z ibiru $
# Maintainer : Ionut Biru <ibiru@archlinux.org>
# Contributor: Allan McRae <allan@archlinux.org>
# Contributor: Alessio 'mOLOk' Bolognino <themolok@gmail.com>
# Contributor: shamrok <szamrok@gmail.com>

pkgname=smplayer
pkgver=0.8.2.1
pkgrel=1
pkgdesc="A complete front-end for MPlayer"
arch=('i686' 'x86_64')
url="http://smplayer.sourceforge.net/"
license=('GPL')
depends=('qt' 'mplayer')
install=smplayer.install
source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
md5sums=('3b3cad54b2f7f0026ab285de055bf40e')

build() {
  cd "$pkgname-$pkgver"
  sed -i 's:#\(DEFINES += NO_DEBUG_ON_CONSOLE\):\1:' src/smplayer.pro
  make PREFIX=/usr
}

package() {
  cd "$pkgname-$pkgver"
  make PREFIX=$pkgdir/usr install
}

Last edited by freestyler7 (2012-12-09 21:07:16)

Offline

Board footer

Powered by FluxBB